Bug 23482 - System won't start without syslog
System won't start without syslog
Product: Red Hat Raw Hide
Classification: Retired
Component: initscripts (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
: 27771 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-01-06 07:16 EST by Andrew Bartlett
Modified: 2014-03-16 22:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-01-29 17:54:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew Bartlett 2001-01-06 07:16:26 EST
Ok, so I decided to see what happened if I attempted to start the system
without syslog.  (Whats my muck-about machine for but to find this stuff
out!).  Anyway, contary to what I had expected from reading bug 22196 my
system got nowhere. 
It stopped when runing init.d/random, and would not shut down
(Ctrl-Alt-Del), as the ypbind script wouldn't run.  
I am assuming that it is the logging funcion of each of these scripts that
is blocking - but I am not sure why.  If minilogd is still running,
shouldn't it keep accepting the messages?  If minilogd is fixed not to chew
RAM, shouldn't it just start throwing away messages?

Anyway, I rebooted back into single user mode (1 fsck later) and restored
syslog to startup, and all is back to normal, but shouldn't the system
attempt to limp into service if at all possible?  (Or at least allow a
clean shutdown?)
Comment 1 Bill Nottingham 2001-01-29 17:54:13 EST
minilogd is stuck waiting for portmap to say something.
Comment 2 Bill Nottingham 2001-01-29 18:24:00 EST
A quick&dirty alarm handler will be in minilogd in initscripts-5.60-1,
that should prevent this deadlock. It's still not recommended to
run without syslogd running. :)
Comment 3 Doug Ledford 2001-02-21 18:56:47 EST
*** Bug 27771 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.